Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417704 - Upgrade to wpa_supplicant.1:2.6-1 causes auto-connect to router to fail on boot
Summary: Upgrade to wpa_supplicant.1:2.6-1 causes auto-connect to router to fail on boot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wpa_supplicant
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 17:18 UTC by Samster
Modified: 2017-12-12 10:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:36:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Samster 2017-01-30 17:18:30 UTC
Description of problem:
Upgraded system software including latest version of wpa_supplicant. On subsequent reboot Network Manager does not auto-connect or show any potential network connection. (Belkin USB network card in use.) By opening network configuration and marking router/connection as 'hidden' Network Manager will offer the connection and it may be manually selected, but it will not auto-connect on boot.
 
Solved problem by reinstalling older version of wpa_supplicant.

Kernel: 4.9.5-200.fc25.x86_64
KDE Desktop
Dell Optiplex 755

Version-Release number of selected component (if applicable):
wpa_supplicant.1:2.6-1

How reproducible:
Install latest version of wpa_supplicant: wpa_supplicant.1:2.6-1

Steps to Reproduce:
1. Install new version of wpa_supplicant (wpa_supplicant.1:2.6-1)
2. Reboot PC
3.

Actual results:
Network Manager does not auto-connect WIFI USB card to router when PC/KDE boot.

Expected results:
Network connection will be established when KDE desktop boots.

Additional info:
SAMPLE OF ENTRIES FROM 'MESSAGES':
*********************************
Jan 29 12:42:05 localhost kernel: IPv6: ADDRCONF(NETDEV_UP): wlp0s31: link is not ready
Jan 29 12:42:05 localhost NetworkManager[778]: <info>  [1485711725.2905] device (wlp0s31): supplicant interface state: inactive -> disabled
Jan 29 12:42:05 localhost NetworkManager[778]: <info>  [1485711725.3059] device (wlp0s31): supplicant interface state: disabled -> inactive
Jan 29 12:42:05 localhost NetworkManager[778]: <warn>  [1485711725.6099] device (wlp0s31): set-hw-addr: new MAC address 32:B5:A7:E8:4D:2C not successfully set (scanning)


Jan 29 12:52:22 localhost wpa_supplicant[894]: rfkill: Cannot get wiphy )information
Jan 29 12:59:31 localhost systemd: Listening on Load/Save RF Kill Switch Status /dev/rfkill Watch.
Jan 29 12:59:36 localhost wpa_supplicant[948]: rfkill: Cannot get wiphy information
Jan 29 14:01:23 localhost wpa_supplicant[948]: rfkill: Cannot get wiphy information


Jan 29 12:52:20 localhost NetworkManager[778]: <info>  [1485712340.7701] device (wlp0s31): supplicant interface state: inactive -> disabled
Jan 29 12:52:20 localhost kernel: IPv6: ADDRCONF(NETDEV_UP): wlp0s31: link is not ready
Jan 29 12:52:20 localhost NetworkManager[778]: <info>  [1485712340.8015] manager: WiFi hardware radio set disabled
Jan 29 12:52:20 localhost NetworkManager[778]: <info>  [1485712340.8016] device (wlp0s31): state change: disconnected -> unavailable (reason 'none') [30 20 0]
Jan 29 12:52:21 localhost NetworkManager[778]: <warn>  [1485712341.1058] device (wlp0s31): set-hw-addr: new MAC address 26:AA:3F:2B:6C:74 not successfully set (scanning)
Jan 29 12:52:21 localhost NetworkManager[778]: <info>  [1485712341.1064] audit: op="radio-control" arg="wireless-enabled:0" pid=1155 uid=1000 result="success"
Jan 29 12:52:21 localhost NetworkManager[778]: <info>  [1485712341.2526] manager: WiFi hardware radio set enabled
Jan 29 12:52:21 localhost wpa_supplicant[894]: ioctl[SIOCSIWAP]: Device or resource busy
Jan 29 12:52:21 localhost wpa_supplicant[894]: ioctl[SIOCSIWESSID]: Device or resource busy
Jan 29 12:52:22 localhost NetworkManager[778]: <info>  [1485712342.4578] audit: op="radio-control" arg="wireless-enabled:1" pid=1155 uid=1000 result="success"
Jan 29 12:52:22 localhost kernel: IPv6: ADDRCONF(NETDEV_UP): wlp0s31: link is not readywlp0s29f7u3
Jan 29 12:52:22 localhost wpa_supplicant[894]: nl80211: Driver does not support authentication/association or connect commands
Jan 29 12:52:22 localhost wpa_supplicant[894]: nl80211: deinit ifname=wlp0s31 disabled_11b_rates=0
Jan 29 12:52:22 localhost wpa_supplicant[894]: rfkill: Cannot get wiphy information
Jan 29 12:52:22 localhost NetworkManager[778]: <info>  [1485712342.5005] sup-iface[0x556b13c3f610,wlp0s31]: supports 1 scan SSIDs
Jan 29 12:52:22 localhost NetworkManager[778]: <info>  [1485712342.5022] device (wlp0s31): supplicant interface state: starting -> ready
Jan 29 12:52:22 localhost NetworkManager[778]: <info>  [1485712342.5023] device (wlp0s31): state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]

"rfkill list all" returns nothing / no output at all in this state.

Comment 1 Samster 2017-01-30 18:30:44 UTC
Please also note that the software upgrade process kills the working connection to the router.

Comment 2 Blueowl 2017-11-01 13:34:48 UTC
If you still see the problem, please provide detailed logs of the connection?

To capture them:
* add '-dd' to OTHER_ARGS in /etc/sysconfig/wpa_supplicant, then
 systemctl restart wpa_supplicant

* set level=TRACE in the [logging] section of /etc/NetworkManager/NetworkManager.conf and
 systemctl restart NetworkManager

* reproduce the test case (reboot PC) and then
 journalctl -u NetworkManager -u wpa_supplicant --since "5 minutes ago"

Comment 3 Fedora End Of Life 2017-11-16 19:29:29 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:36:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.